マーケティング イベント オブジェクトIDを使用してContactId別に参加者を記録
curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
]
}
'import requests
url = "https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/create"
payload = { "inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{interactionDateTime: 123, properties: {}, vid: 123}]})
};
fetch('https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"vid": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}参加
Record attendance by contact ID and HubSpot ID
HubSpotコンタクトIDを使用して、複数のHubSpotコンタクトのマーケティングイベントへの参加を記録します。
追加機能:
- コンタクトにタイムラインイベントを追加します。
使用できるプロパティ: 状態「参加」の場合:
- joinedAt
- leftAt
POST
/
marketing
/
v3
/
marketing-events
/
{objectId}
/
attendance
/
{subscriberState}
/
create
マーケティング イベント オブジェクトIDを使用してContactId別に参加者を記録
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
HubSpotのマーケティングイベントの内部ID。
参加の状態の値。「登録」、「出席」、「キャンセル」のいずれかです
ボディ
application/json
マーケティングイベントに登録するHubSpotコンタクトのリスト
Show child attributes
Show child attributes
レスポンス
successful operation
リクエストの処理が完了した時点を表すタイムスタンプ
Show child attributes
Show child attributes
リクエストの処理が開始された時点を表すタイムスタンプ
リクエスト処理のステータス
利用可能なオプション:
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Show child attributes
リクエストの結果
Show child attributes
Show child attributes
処理中に発生したエラーの数
リクエストが行われた時点を表すタイムスタンプ
最終更新日 2026年4月10日
Record attendance by contact ID and external event ID
前へ
Record attendance by participant email and external event ID
次へ
⌘I